Bug 862140 - Couldn't download rpms with yumdownloader
Couldn't download rpms with yumdownloader
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 22:30 EDT by Mikhail
Modified: 2014-01-21 18:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 04:25:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-10-01 22:30:01 EDT
Description of problem:

$ yumdownloader --source php
Loaded plugins: presto, refresh-packagekit
Enabling rpmfusion-nonfree-updates-testing-source repository
Enabling rpmfusion-free-updates-source repository
Cannot find a valid baseurl for repo: rpmfusion-free-updates-source/18/i386
Comment 1 Zdeněk Pavlas 2012-10-02 04:30:36 EDT
Likely a dup of BZ 854209, which was fixed in yum-3.4.3-44.fc18.  What version of Yum is installed?
Comment 2 Mikhail 2012-10-02 16:07:20 EDT
Version 3.4.3-44 already but problem exists for me.

$ rpm -qa yum
yum-3.4.3-44.fc18.noarch
Comment 3 Zdeněk Pavlas 2012-10-03 04:25:57 EDT
Ok, this is probably not a Yum bug.. Mirror list is empty.  For whatever reason, F18 is not mirrored (yet?).

~$ curl -s 'http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-source-18&arch=i386'|grep free-fedora-updates-released-source
# repo = free-fedora-updates-released-source-18 arch = source error: invalid repo or arch
# repo=free-fedora-updates-released-source-10, arch=source
# repo=free-fedora-updates-released-source-11, arch=source
# repo=free-fedora-updates-released-source-12, arch=source
# repo=free-fedora-updates-released-source-13, arch=source
# repo=free-fedora-updates-released-source-14, arch=source
# repo=free-fedora-updates-released-source-15, arch=source
# repo=free-fedora-updates-released-source-16, arch=source
# repo=free-fedora-updates-released-source-17, arch=source
# repo=free-fedora-updates-released-source-8, arch=source
# repo=free-fedora-updates-released-source-9, arch=source
Comment 4 Mikhail 2012-10-03 04:41:50 EDT
[mikhail@localhost ~]$ curl -s 'http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-updates-released-source-18&arch=i386'|grep free-fedora-updates-released-source
# repo = free-fedora-updates-released-source-18 arch = source error: invalid repo or arch
# repo=free-fedora-updates-released-source-10, arch=source
# repo=free-fedora-updates-released-source-11, arch=source
# repo=free-fedora-updates-released-source-12, arch=source
# repo=free-fedora-updates-released-source-13, arch=source
# repo=free-fedora-updates-released-source-14, arch=source
# repo=free-fedora-updates-released-source-15, arch=source
# repo=free-fedora-updates-released-source-16, arch=source
# repo=free-fedora-updates-released-source-17, arch=source
# repo=free-fedora-updates-released-source-8, arch=source
# repo=free-fedora-updates-released-source-9, arch=source
# repo=nonfree-fedora-updates-released-source-10, arch=source
# repo=nonfree-fedora-updates-released-source-11, arch=source
# repo=nonfree-fedora-updates-released-source-12, arch=source
# repo=nonfree-fedora-updates-released-source-13, arch=source
# repo=nonfree-fedora-updates-released-source-14, arch=source
# repo=nonfree-fedora-updates-released-source-15, arch=source
# repo=nonfree-fedora-updates-released-source-16, arch=source
# repo=nonfree-fedora-updates-released-source-17, arch=source
# repo=nonfree-fedora-updates-released-source-8, arch=source
# repo=nonfree-fedora-updates-released-source-9, arch=source
[mikhail@localhost ~]$

Note You need to log in before you can comment on or make changes to this bug.